﻿' NOTE: If you change the class name "Service" here, you must also update the reference to "Service" in Web.config and in the associated .svc file.
Public Class Service
    Implements IService

    Public Sub New()
    End Sub

    Public Function GetData(ByVal value As Integer) As String Implements IService.GetData
        Return String.Format("You entered: {0}", value)
    End Function

    Public Function GetDataUsingDataContract(ByVal composite As CompositeType) As CompositeType Implements IService.GetDataUsingDataContract
        If composite.BoolValue Then
            composite.StringValue = (composite.StringValue & "Suffix")
        End If
        Return composite
    End Function
    Public Function GetTimeZoneInfo _
 (ByVal strLocalTimeZone As String) _
  As String Implements IService.GetTimeZoneInfo
        Dim sb As New StringBuilder
        Dim tst As TimeZoneInfo
        Try
            tst = TimeZoneInfo.FindSystemTimeZoneById(strLocalTimeZone)
        Catch exc As TimeZoneNotFoundException
            Return "Can't find the time zone " & strLocalTimeZone & "."
        Catch exc As Exception
            Return exc.Message
        End Try

        Dim tzadj As TimeZoneInfo.AdjustmentRule
        For Each tzadj In tst.GetAdjustmentRules()
            sb.Append("Daylight time starts: " & _
              CTT(tzadj.DaylightTransitionStart) & Environment.NewLine)
            sb.Append("Standard time returns: " & _
              CTT(tzadj.DaylightTransitionEnd) & Environment.NewLine)
            sb.Append(Environment.NewLine)
        Next
        Return sb.ToString
    End Function

    Private Function CTT(ByVal tr As TimeZoneInfo.TransitionTime) As String
        Dim nums() As String = {"first", "second", "third", "fourth", "final"}
        Dim sb As New StringBuilder
        If tr.IsFixedDateRule Then
            sb.Append(WeekdayName(tr.Day))
        Else
            sb.Append("The " & nums((tr.Week - 1)) & " " & _
                WeekdayName(tr.Day) & " of")
        End If
        Return sb.Append(" " & MonthName(tr.Month) & " at " & _
                    tr.TimeOfDay.ToLongTimeString).ToString

    End Function

End Class
