Imports Microsoft.VisualBasic

Imports System
Imports System.Collections.Generic
Imports System.Configuration
Imports System.Web.Configuration

 _


'/<summary>
'/ class News
'/ Provides static functions to access News
'/ and serves as abastraction layer between the web Page and
'/ actual data providers
'/</summary>
Public Class News

    Private Shared _isInitialized As Boolean = False
    Private Shared _provider As NewsProvider
    Private Shared _providersSection As SmallBusinessDataProvidersSection


    ' <summary>
    ' Returns provider
    ' </summary>
    Public Shared ReadOnly Property Provider() As NewsProvider
        Get
            Initialize()
            Return _provider
        End Get
    End Property


    ' <summary>
    ' Returns all news items
    ' </summary>
    Public Shared Function GetAllNews() As List(Of NewsItem)
        Return Provider.GetAllNews()
    End Function 'New


    ' <summary>
    ' Returns a particular news item
    ' </summary>
    Public Shared Function GetNewsItem(ByVal newsItemId As String) As NewsItem
        Return Provider.GetNewsItem(newsItemId)
    End Function 'GetNewsItem

    ' <summary>
    ' Initializes the Provider
    ' </summary>
    Private Shared Sub Initialize()
        If Not _isInitialized Then

            _providersSection = ConfigurationManager.GetSection("SmallBusinessDataProviders") '

            If _providersSection Is Nothing Then
                Throw New InvalidOperationException(Messages.NewsConfigSectionNotFound)
            End If

            _provider = ProvidersHelper.InstantiateProvider(_providersSection.NewsProviders(_providersSection.NewsProviderName), GetType(NewsProvider))

            If _provider Is Nothing Then
                Throw New InvalidOperationException(Messages.NewsProviderInstantiationError)
            End If

            _isInitialized = True
        End If
    End Sub 'Initialize
End Class 'News ' end class