Imports Microsoft.VisualBasic
Imports System
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
Imports System.Xml
Imports System.Xml.Schema
Imports System.IO
Imports System.Collections.Generic



'/ <summary>
'/ XML Data Layer for News Page
'/ </summary>
Public Class XmlNewsProvider
    Inherits NewsProvider
    Private _xmlFile As String
    Private _xsdFile As String


    '/ <summary>
    '/ Reads xml and xsd file names from the web.config file
    '/ </summary>
    Public Sub New()
        Dim sec As SmallBusinessDataProvidersSection = ConfigurationManager.GetSection("SmallBusinessDataProviders") '
        Dim xmlFile As String = sec.NewsProviders(sec.NewsProviderName).Parameters("dataFile")
        Dim xsdFile As String = sec.NewsProviders(sec.NewsProviderName).Parameters("schemaFile")

        _xmlFile = HttpContext.Current.Request.MapPath(("~/App_Data/" + xmlFile))
        _xsdFile = HttpContext.Current.Request.MapPath(("~/App_Data/schemas/" + xsdFile))
    End Sub 'New

    '/ <summary>
    '/ Returns all news items
    '/ </summary>
    Public Overrides Function GetAllNews() As List(Of NewsItem)
        Dim dataSet As DataSet = Util.ReadAndValidateXml(_xmlFile, _xsdFile)
        Dim list As List(Of NewsItem) = New List(Of NewsItem)
        Dim t As DataTable
        For Each t In dataSet.Tables
            Dim curr As NewsItem
            Dim r As DataRow
            For Each r In t.Rows
                curr = New NewsItem(CStr(r("id")), CBool(r("visible")), CStr(r("title")))
                curr.Date = Util.ReturnEmptyStringIfDbNull(r("date"))
                curr.Content = Util.ReturnEmptyStringIfDbNull(r("content"))
                curr.ImageUrl = Util.ReturnEmptyStringIfDbNull(r("imageUrl"))
                curr.ImageAltText = Util.ReturnEmptyStringIfDbNull(r("imageAltText"))
                list.Add(curr)
            Next r
        Next t

        Return list
    End Function 'New


    Public Overrides Function GetNewsItem(ByVal newsItemId As String) As NewsItem
        Dim newsItems As List(Of NewsItem) = GetAllNews()
        Dim n As NewsItem
        For Each n In newsItems
            If n.Id = newsItemId Then
                Return n
            End If
        Next n
        Return Nothing
    End Function 'GetNewsItem
End Class 'XmlNewsProvider 