Imports System
Imports System.Configuration
Imports System.Web.Configuration
Imports System.Collections
Imports System.Collections.Specialized
Imports System.Collections.Generic
Imports System.Web

 _
'/<summary>
'/ class People
'/ Provides static functions to access 'people' 
'/ and serves as abastraction layer between the web Page and
'/ actual data providers
'/</summary>
Public Class People

    Private Shared _isInitialized As Boolean = False
    Private Shared _provider As PeopleProvider
    Private Shared _providersSection As SmallBusinessDataProvidersSection


    Public Shared ReadOnly Property Provider() As PeopleProvider
        Get
            Initialize()
            Return _provider
        End Get
    End Property


    Public Shared Function GetAllPersons() As List(Of Person)
        Return Provider.GetAllPersons()
    End Function



    Private Shared Sub Initialize()
        If Not _isInitialized Then
            _providersSection = ConfigurationManager.GetSection("SmallBusinessDataProviders") '

            If _providersSection Is Nothing Then
                Throw New Exception(Messages.PeopleConfigSectionNotFound)
            End If

            _provider = ProvidersHelper.InstantiateProvider(_providersSection.PeopleProviders(_providersSection.PeopleProviderName), GetType(PeopleProvider))

            If _provider Is Nothing Then
                Throw New Exception("People default provider could not be instantiated")
            End If
        End If
    End Sub 'Initialize
End Class 'People 