Imports Microsoft.VisualBasic
Imports System
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Xml
Imports System.Xml.Schema
Imports System.IO
Imports System.Collections.Generic


'/ <summary>
'/ XML Data Layer for People
'/ </summary>
Public Class XmlPeopleProvider
    Inherits PeopleProvider
    Private _xmlFile As String
    Private _xsdFile As String



    Public Sub New()
        Dim sec As SmallBusinessDataProvidersSection = ConfigurationManager.GetSection("SmallBusinessDataProviders")
        Dim xmlFile As String = sec.PeopleProviders(sec.PeopleProviderName).Parameters("dataFile")
        Dim xsdFile As String = sec.PeopleProviders(sec.PeopleProviderName).Parameters("schemaFile")
        _xmlFile = HttpContext.Current.Request.MapPath(("~/App_Data/" + xmlFile))
        _xsdFile = HttpContext.Current.Request.MapPath(("~/App_Data/schemas/" + xsdFile))
    End Sub 'New 


    
    Public Overrides Function GetAllPersons() As List(Of Person)
        Dim personList As New List(Of Person)
        Dim dataSet As DataSet = Util.ReadAndValidateXml(_xmlFile, _xsdFile)

        Dim t As DataTable
        For Each t In dataSet.Tables
            Dim r As DataRow
            For Each r In t.Rows
                If TypeOf r("id") Is DBNull Or TypeOf r("visible") Is DBNull Or TypeOf r("firstName") Is DBNull Or TypeOf r("firstName") Is DBNull Then
                    Throw New InvalidOperationException(Messages.PersonRequiredAttributesMissing)
                End If '(string)r["visible"]
                Dim curr As New Person(CStr(r("id")), CBool(r("visible")), CStr(r("firstName")), CStr(r("lastName")))

                curr.MiddleName = Util.ReturnEmptyStringIfDbNull(r("middleName"))
                curr.Title = Util.ReturnEmptyStringIfDbNull(r("title"))
                curr.Description = Util.ReturnEmptyStringIfDbNull(r("description"))
                curr.Email = Util.ReturnEmptyStringIfDbNull(r("email"))
                curr.Phone = Util.ReturnEmptyStringIfDbNull(r("phone"))
                curr.Fax = Util.ReturnEmptyStringIfDbNull(r("fax"))
                curr.StreetAddress = Util.ReturnEmptyStringIfDbNull(r("streetAddress"))
                curr.City = Util.ReturnEmptyStringIfDbNull(r("city"))
                curr.State = Util.ReturnEmptyStringIfDbNull(r("state"))
                curr.PostalCode = Util.ReturnEmptyStringIfDbNull(r("postalCode"))
                curr.Country = Util.ReturnEmptyStringIfDbNull(r("country"))
                curr.ImageUrl = Util.ReturnEmptyStringIfDbNull(r("imageUrl"))
                curr.ImageAltText = Util.ReturnEmptyStringIfDbNull(r("imageAltText"))

                personList.Add(curr)
            Next r
        Next t
        Return personList
    End Function 'New
End Class 'XmlPeopleProvider
