Imports System


'/<summary>
'/ Class Item
'/ Represents a category of Items the small business uses to 
'/classify/organize its Items 
'/ </summary>
Public Class Category
    Private _id As String
    Private _visible As Boolean
    Private _title As String
    Private _description As String
    Private _imageUrl As String
    Private _imageAltText As String


    Public Sub New(ByVal id As String, ByVal visible As Boolean, ByVal title As String)
        If [String].IsNullOrEmpty(id) Then
            Throw New ArgumentException(Messages.CategoryIdUndefined)
        End If
        If [String].IsNullOrEmpty(title) Then
            Throw New ArgumentException(Messages.CategoryTitleUndefined)
        End If
        _id = id
        _visible = visible
        _title = title
    End Sub 'New 



    Public ReadOnly Property Id() As String
        Get
            Return _id
        End Get
    End Property

    Public Property Title() As String
        Get
            Dim ret As String
            If (String.IsNullOrEmpty(_title)) Then
                ret = String.Empty
            Else
                ret = _title
            End If

            Return ret
        End Get
        Set(ByVal value As String)
            If String.IsNullOrEmpty(value) Then
                Throw New InvalidOperationException(Messages.ItemTitleIsNull)
            End If
            _title = value
        End Set
    End Property

    Public Property Visible() As Boolean
        Get
            Return _visible
        End Get
        Set(ByVal value As Boolean)
            _visible = value
        End Set
    End Property


    Public Property Description() As String
        Get
            Dim ret As String
            If String.IsNullOrEmpty(_description) Then
                ret = String.Empty
            Else
                ret = _description
            End If
            Return ret
        End Get
        Set(ByVal value As String)
            _description = value
        End Set
    End Property

    Public Property ImageUrl() As String
        Get
            Dim ret As String
            If String.IsNullOrEmpty(_imageUrl) Then
                ret = String.Empty
            Else
                ret = _imageUrl
            End If
            Return ret
        End Get
        Set(ByVal value As String)
            _imageUrl = value
        End Set
    End Property

    Public Property ImageAltText() As String
        Get
            Dim ret As String
            If String.IsNullOrEmpty(_imageAltText) Then
                ret = String.Empty
            Else
                ret = _imageAltText
            End If
            Return ret
        End Get
        Set(ByVal value As String)
            _imageAltText = value
        End Set
    End Property
End Class 'Category ' end class