Imports System

'/<summary>
'/ Class Item
'/ Represents an item the small business sells
'/ Typically, an Item could be a product or a service
'/</summary>
Public Class Item
    Private _id As String
    Private _title As String
    Private _visible As Boolean
    Private _description As String
    Private _price As Double
    Private _inStock As Boolean
    Private _imageUrl As String
    Private _imageAltText As String



    Public Sub New(ByVal id As String, ByVal visible As Boolean, ByVal title As String)
        If [String].IsNullOrEmpty(id) Then
            Throw New ArgumentException(Messages.ItemIdUndefined)
        End If
        If [String].IsNullOrEmpty(title) Then
            Throw New ArgumentException(Messages.ItemTitleUndefined)
        End If
        _id = id
        _visible = visible
        _title = title
    End Sub 'New 



    Public ReadOnly Property Id() As String
        Get
            Dim ret As String
            If [String].IsNullOrEmpty(_id) Then
                ret = [String].Empty
            Else
                ret = _id
            End If
            Return ret
        End Get
    End Property

    Public Property Visible() As Boolean
        Get
            Return _visible
        End Get
        Set(ByVal value As Boolean)
            _visible = value
        End Set
    End Property

    Public Property Title() As String
        Get
            Dim ret As String
            If String.IsNullOrEmpty(_title) Then
                ret = String.Empty
            Else
                ret = _title
            End If
            Return ret
        End Get
        Set(ByVal value As String)
            If [String].IsNullOrEmpty(value) Then
                Throw New InvalidOperationException(Messages.ItemTitleIsNull)
            End If
            _title = value
        End Set
    End Property


    Public Property Description() As String
        Get
            Return _description
        End Get
        Set(ByVal value As String)
            _description = value
        End Set
    End Property

    Public Property Price() As Double
        Get
            Return _price
        End Get
        Set(ByVal value As Double)
            _price = value
        End Set
    End Property

    Public Property InStock() As Boolean
        Get
            Return _inStock
        End Get
        Set(ByVal value As Boolean)
            _inStock = value
        End Set
    End Property

    Public Property ImageUrl() As String
        Get
            Dim ret As String
            If String.IsNullOrEmpty(_imageUrl) Then
                ret = String.Empty
            Else
                ret = _imageUrl
            End If
            Return ret
        End Get
        Set(ByVal value As String)
            _imageUrl = value
        End Set
    End Property

    Public Property ImageAltText() As String
        Get
            Dim ret As String
            If String.IsNullOrEmpty(_imageAltText) Then
                ret = String.Empty
            Else
                ret = _imageAltText
            End If
            Return ret
        End Get
        Set(ByVal value As String)
            _imageAltText = value
        End Set
    End Property
End Class 'Item