Imports Microsoft.VisualBasic
Imports System
Imports System.Configuration
Imports System.Web.Configuration
Imports System.Data.SqlClient
Imports System.Collections.Generic

'/ <summary>
'/ class  SqlPeopleProvider 
'/  Provides access to SqlServer data source
'/ </summary>
Public Class SqlPeopleProvider
    Inherits PeopleProvider

    '/ <summary>
    '/ retrieves the connection string from the web.config
    '/ </summary>
    Private Function connectionString() As String
        Dim sec As SmallBusinessDataProvidersSection = ConfigurationManager.GetSection("SmallBusinessDataProviders")
        Dim connectionStringName As String = sec.PeopleProviders(sec.PeopleProviderName).Parameters("connectionStringName")
        Return WebConfigurationManager.ConnectionStrings(connectionStringName).ConnectionString
    End Function 'connectionString

    '/ <summary>
    '/ retrieves all person records
    '/ </summary>
    Public Overrides Function GetAllPersons() As List(Of Person)
        Dim personList As New List(Of Person)

        ' create a connection, invoke stored procedure
        '
        Dim con As New SqlConnection(connectionString())
        Try
            con.Open()
            Dim cmd As New SqlCommand("GetPeople", con)
            Dim r As SqlDataReader = cmd.ExecuteReader()
            Dim curr As Person
            While r.Read()
                If TypeOf r("id") Is DBNull Or TypeOf r("visible") Is DBNull Or TypeOf r("firstName") Is DBNull Or TypeOf r("lastName") Is DBNull Then
                    Throw New InvalidOperationException(Messages.PersonRequiredAttributesMissing)
                End If

                curr = New Person(CStr(r("id")), CBool(r("visible")), CStr(r("firstName")), CStr(r("lastName")))
                curr.MiddleName = Util.ReturnEmptyStringIfDbNull(r("middleName"))
                curr.Title = Util.ReturnEmptyStringIfDbNull(r("title"))
                curr.Description = Util.ReturnEmptyStringIfDbNull(r("description"))
                curr.Email = Util.ReturnEmptyStringIfDbNull(r("email"))
                curr.Phone = Util.ReturnEmptyStringIfDbNull(r("phone"))
                curr.Fax = Util.ReturnEmptyStringIfDbNull(r("fax"))
                curr.StreetAddress = Util.ReturnEmptyStringIfDbNull(r("streetAddress"))
                curr.City = Util.ReturnEmptyStringIfDbNull(r("city"))
                curr.State = Util.ReturnEmptyStringIfDbNull(r("state"))
                curr.PostalCode = Util.ReturnEmptyStringIfDbNull(r("postalCode"))
                curr.Country = Util.ReturnEmptyStringIfDbNull(r("country"))
                curr.ImageUrl = Util.ReturnEmptyStringIfDbNull(r("imageUrl"))
                curr.ImageAltText = Util.ReturnEmptyStringIfDbNull(r("imageAltText"))

                personList.Add(curr)
            End While
        Finally
            con.Dispose()
        End Try
        Return personList
    End Function 'New
End Class 'SqlPeopleProvider 
' end class