Imports System
Imports System.Configuration

'/ <summary>
' ensures the providerCollection contains a set of ProviderSettings, where each one
' "is a " Provider
'/ </summary>
Public Class ProviderSettingsValidation
    Inherits ConfigurationValidatorBase


    Public Overrides Function CanValidate(ByVal type As Type) As Boolean
        Return GetType(ProviderSettingsCollection).Equals(type)
    End Function 'CanValidate


    '/ <summary>
    ' validate the provider section    
    '/ </summary>
    Public Overrides Sub Validate(ByVal value As Object)
        Dim providerCollection As ProviderSettingsCollection = value
        If Not (providerCollection Is Nothing) Then
            Dim _provider As ProviderSettings
            For Each _provider In providerCollection

                If [String].IsNullOrEmpty(_provider.Type) Then
                    Throw New ConfigurationErrorsException("Type was not defined in the provider")
                End If

                Dim dataAccessType As Type = Type.GetType(_provider.Type)
                If dataAccessType Is Nothing Then
                    Throw New InvalidOperationException("Provider's Type could not be found")
                End If
            Next _provider
        End If
    End Sub 'Validate
End Class 'ProviderSettingsValidation