Imports Microsoft.VisualBasic
Imports System
Imports System.Configuration
Imports System.Web.Configuration
Imports System.Data.SqlClient
Imports System.Collections.Generic


'/<summary>
'/ Testimonials data Provider for SQL database 
'/</summary>
Public Class SqlTestimonialProvider
    Inherits TestimonialProvider

    Private Function connectionString() As String
        Dim sec As SmallBusinessDataProvidersSection = ConfigurationManager.GetSection("SmallBusinessDataProviders") '
        Dim connectionStringName As String = sec.TestimonialsProviders(sec.TestimonialsProviderName).Parameters("connectionStringName")
        Return WebConfigurationManager.ConnectionStrings(connectionStringName).ConnectionString
    End Function 'connectionString

    
    Public Overrides Function GetAllTestimonials() As System.Collections.Generic.List(Of Testimonial)

    Dim list As List(Of Testimonial) = New List(Of Testimonial)
    Dim con As New SqlConnection(connectionString())
        Try
            con.Open()
    Dim cmd As New SqlCommand("GetTestimonials", con)
    Dim r As SqlDataReader = cmd.ExecuteReader()
    Dim curr As Testimonial

            While r.Read()

                If TypeOf r("id") Is DBNull Or TypeOf r("visible") Is DBNull Or TypeOf r("title") Is DBNull Or TypeOf r("date") Is DBNull Or TypeOf r("content") Is DBNull Or TypeOf r("testifier") Is DBNull Then
                    Throw New InvalidOperationException(Messages.TestimonialsRequiredAttributesMissing)
                End If
                curr = New Testimonial(CStr(r("id")), CBool(r("visible")), CStr(r("title")), CType(r("date"), DateTime), CStr(r("content")), CStr(r("testifier")))
                curr.TestifierCompany = Util.ReturnEmptyStringIfDbNull(r("testifierCompany"))
                curr.ImageUrl = Util.ReturnEmptyStringIfDbNull(r("imageUrl"))
                curr.ImageAltText = Util.ReturnEmptyStringIfDbNull(r("imageAltText"))
                list.Add(curr)
            End While
        Finally
            con.Dispose()
        End Try

        Return list
    End Function
End Class 'SqlTestimonialProvider 
