Imports Microsoft.VisualBasic
Imports System
Imports System.Data
Imports System.Configuration

 _


'/<summary>
'/ class Testimonial
'/ represents a testimonial
'/</summary>
Public Class Testimonial
    Private _id As String
    Private _visible As Boolean
    Private _title As String
    Private _date As DateTime
    Private _content As String
    Private _testifier As String
    Private _testifierCompany As String
    Private _imageUrl As String
    Private _imageAltText As String



    Public Sub New(ByVal id As String, ByVal visible As Boolean, ByVal title As String, ByVal [date] As DateTime, ByVal content As String, ByVal testifier As String)
        ' exceptions thrown if reqd attributes are missing
        '
        If [String].IsNullOrEmpty(id) Then
            Throw New ArgumentException(Messages.TestimonialsIdUndefined)
        End If
        If [String].IsNullOrEmpty(title) Then
            Throw New ArgumentException(Messages.TestimonialsTitleUndefined)
        End If
        If [String].IsNullOrEmpty(content) Then
            Throw New ArgumentException(Messages.TestimonialsContentUndefined)
        End If
        If [String].IsNullOrEmpty(testifier) Then
            Throw New ArgumentException(Messages.TestimonialsTestifierUndefined)
        End If
        If [date].Equals(Nothing) Then
            Throw New ArgumentException(Messages.TestimonialsDateUndefined)
        End If
        _id = id
        _visible = visible
        _title = title
        _date = [date]
        _content = content
        _testifier = testifier
    End Sub 'New


    Public ReadOnly Property Id() As String
        Get
            Return Util.ReturnEmptyStringIfNull(_id)
        End Get
    End Property


    Public Property Visible() As Boolean
        Get
            Return Util.ReturnEmptyStringIfNull(_visible)
        End Get
        Set(ByVal value As Boolean)
            _visible = value
        End Set
    End Property


    Public Property Title() As String
        Get
            Return Util.ReturnEmptyStringIfNull(_title)
        End Get
        Set(ByVal value As String)
            If [String].IsNullOrEmpty(value) Then
                Throw New InvalidOperationException(Messages.TitleUndefined)
            End If
            _title = value
        End Set
    End Property



    Public Property [Date]() As DateTime
        Get
            Return Util.ReturnEmptyStringIfNull(_date)
        End Get
        Set(ByVal value As DateTime)
            _date = value
        End Set
    End Property


    Public Property Content() As String
        Get
            Return Util.ReturnEmptyStringIfNull(_content)
        End Get
        Set(ByVal value As String)
            If [String].IsNullOrEmpty(value) Then
                Throw New InvalidOperationException(Messages.ContentIsNull)
            End If
            _content = value
        End Set
    End Property


    Public Property Testifier() As String
        Get
            Return Util.ReturnEmptyStringIfNull(_testifier)
        End Get
        Set(ByVal value As String)
            _testifier = value
        End Set
    End Property

    Public Property TestifierCompany() As String
        Get
            Return Util.ReturnEmptyStringIfNull(_testifierCompany)
        End Get
        Set(ByVal value As String)
            _testifierCompany = value
        End Set
    End Property

    Public Property ImageUrl() As String
        Get
            Return Util.ReturnEmptyStringIfNull(_imageUrl)
        End Get
        Set(ByVal value As String)
            _imageUrl = value
        End Set
    End Property

    Public Property ImageAltText() As String
        Get
            Return Util.ReturnEmptyStringIfNull(_imageAltText)
        End Get
        Set(ByVal value As String)
            _imageAltText = value
        End Set
    End Property

End Class 'Testimonial 
