Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Configuration
Imports System.Web.Configuration

 _


'/<summary>
'/ class Testimonials
'/ Provides static functions to access testimonials
'/ and serves as abastraction layer between the web Page and
'/ actual data providers
'/</summary>
Public Class Testimonials
    Private Shared _isInitialized As Boolean = False
    Private Shared _provider As TestimonialProvider
    Private Shared _providersSection As SmallBusinessDataProvidersSection

    '/<summary>
    '/ returns the current Testimonials data provider
    '/</summary> 
    Public Shared ReadOnly Property Provider() As TestimonialProvider
        Get
            Initialize()
            Return _provider
        End Get
    End Property


    '/<summary>
    '/ returns all the testimonials
    '/</summary> 
    Public Shared Function GetAllTestimonials() As List(Of Testimonial)
        Return Provider.GetAllTestimonials()
    End Function


    '/<summary>
    '/ Initilialize the _provider instance variable according to the configuration
    '/</summary> 
    Private Shared Sub Initialize()
        If Not _isInitialized Then
            _providersSection = ConfigurationManager.GetSection("SmallBusinessDataProviders")

            If _providersSection Is Nothing Then
                Throw New Exception(Messages.TestimonialsConfigSectionNotFound)
            End If

            _provider = ProvidersHelper.InstantiateProvider(_providersSection.TestimonialsProviders(_providersSection.TestimonialsProviderName), GetType(TestimonialProvider))


            If _provider Is Nothing Then
                Throw New Exception(Messages.TestimonialsProviderInstantiationError)
            End If
            _isInitialized = True
        End If
    End Sub 'Initialize
End Class 'Testimonials 