Imports Microsoft.VisualBasic

Imports System
Imports System.Data
Imports System.Web
Imports System.Xml
Imports System.Xml.Schema
Imports System.IO
Imports System.Collections.Generic
Imports System.Configuration

 _

'/ <summary>
'/ XML Data Layer for Testimonials Page
'/ </summary>
Public Class XmlTestimonialProvider

    Inherits TestimonialProvider
    Private _xmlFile As String
    Private _xsdFile As String


    '/ <summary>
    '/ initializes xmlFile and xsdFile paths
    '/ </summary>
    Public Sub New()
        Dim sec As SmallBusinessDataProvidersSection = ConfigurationManager.GetSection("SmallBusinessDataProviders") '
        Dim xmlFile As String = sec.TestimonialsProviders(sec.TestimonialsProviderName).Parameters("dataFile")
        Dim xsdFile As String = sec.TestimonialsProviders(sec.TestimonialsProviderName).Parameters("schemaFile")

        _xmlFile = HttpContext.Current.Request.MapPath(("~/App_Data/" + xmlFile))
        _xsdFile = HttpContext.Current.Request.MapPath(("~/App_Data/schemas/" + xsdFile))
    End Sub 'New

    '/ <summary>
    '/ retrieve the testimonials
    '/ </summary>
    Public Overrides Function GetAllTestimonials() As List(Of Testimonial)
        Dim dataSet As DataSet = Util.ReadAndValidateXml(_xmlFile, _xsdFile)
        Dim list As List(Of Testimonial) = New List(Of Testimonial)
        Dim t As DataTable
        For Each t In dataSet.Tables
            Dim r As DataRow
            For Each r In t.Rows
                Dim curr As New Testimonial(CStr(r("id")), CBool(r("visible")), CStr(r("title")), CType(r("date"), DateTime), CStr(r("content")), CStr(r("testifier")))
                curr.TestifierCompany = Util.ReturnEmptyStringIfDbNull(r("testifierCompany"))
                curr.ImageUrl = Util.ReturnEmptyStringIfDbNull(r("imageUrl"))
                curr.ImageAltText = Util.ReturnEmptyStringIfDbNull(r("imageAltText"))
                list.Add(curr)
            Next r
        Next t
        Return list
    End Function 'New
End Class 'XmlTestimonialProvider
